Overview | Package | Class | Use | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.moxa.mxuportapi
Class MxUPort.IoctlMode

    java.lang.Object
      com.moxa.mxuportapi.MxUPort.IoctlMode

Enclosing interface:
  MxUPort

    public static class MxUPort.IoctlMode

extends java.lang.Object

This class represents serial parameters such as baud rate, data bits, parity, and stop bits.

Field Summary
`int` | `baudRate` Actual baud rate.
`int` | `dataBits` Available constants: `DATA_BITS_5`, `DATA_BITS_6`, `DATA_BITS_7`, `DATA_BITS_8`.
`int` | `parity` Available constants: `PARITY_NONE`, `PARITY_ODD`, `PARITY_EVEN`, `PARITY_MARK`, `PARITY_SPACE`.
`int` | `stopBits` Available constants: `STOP_BITS_1`, `STOP_BITS_1_5`, `STOP_BITS_2`.

Constructor Summary
`MxUPort.IoctlMode()`
`MxUPort.IoctlMode(int baudRate, int dataBits, int parity, int stopBits)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baudRate

    public int baudRate

  Actual baud rate. For example, set to 9600 for 9600bps. The default is 38400.

### dataBits

    public int dataBits

  Available constants: `DATA_BITS_5`, `DATA_BITS_6`, `DATA_BITS_7`, `DATA_BITS_8`. The default is DATA_BITS_8.

### parity

    public int parity

  Available constants: `PARITY_NONE`, `PARITY_ODD`, `PARITY_EVEN`, `PARITY_MARK`, `PARITY_SPACE`. The default is PARITY_NONE.

### stopBits

    public int stopBits

  Available constants: `STOP_BITS_1`, `STOP_BITS_1_5`, `STOP_BITS_2`. The default is STOP_BITS_1.

Constructor Detail

### MxUPort.IoctlMode

    public MxUPort.IoctlMode()

### MxUPort.IoctlMode

    public MxUPort.IoctlMode(int baudRate,
                             int dataBits,
                             int parity,
                             int stopBits)

Overview | Package | Class | Use | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD